package com.fjhx.email.utils;

import cn.hutool.core.convert.Convert;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSON;
import com.fjhx.email.config.base.R;
import com.fjhx.email.config.exception.ServiceException;
import com.fjhx.email.entity.dto.MailSyncInfo;

import java.util.List;

public class HxHttpUtil {

    /**
     * 获取在线用户id
     */
    public static List<Long> getOnlineUserIdList() {
        String url = MailSyncInfo.urlPrefix + "getOnlineUserIdList";
        String result = HttpUtil.get(url);
        R r = JSON.parseObject(result, R.class);
        if (!r.getSuccess()) {
            throw new ServiceException(r.getMessage());
        }
        return Convert.toList(Long.class, r.getData());
    }

}
